=== debian/changelog ===
golang-github-aws-smithy-go (1.13.3-2) unstable; urgency=medium

  * Team upload

  [ Daniel Swarbrick ]
  * Source-only re-upload for testing migration

  [ Debian Janitor ]
  * Add Multi-Arch: foreign

 -- Daniel Swarbrick <dswarbrick@debian.org>  Tue, 31 Jan 2023 23:02:59 +0000

golang-github-aws-smithy-go (1.13.3-1) unstable; urgency=medium

  * Initial packaging (Closes: #1022852).

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2022 12:07:01 +0200
