=== debian/control ===
Source: golang-github-aws-smithy-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper (>= 10),
 dh-golang,
 golang-any,
 golang-github-google-go-cmp-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go.git
Homepage: https://github.com/aws/smithy-go
XS-Go-Import-Path: github.com/aws/smithy-go

Package: golang-github-aws-smithy-go-dev
Architecture: all
Depends:
 golang-github-google-go-cmp-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Smithy code generators for Go (library)
 This package provides Smithy code generator for go.
 .
 Smithy is a language for defining services and SDKs. It is designed to work
 with any programming language, describe services running in any environment,
 and work with any kind of transport or serialization format. It is extended
 through traits. Its models are defined by resources and operations.
