=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/aws/smithy-go

%:
	dh $@ --buildsystem=golang --with=golang
