## golang-github-aws-smithy-go 1.19.0

=== debian/changelog ===
golang-github-aws-smithy-go (1.19.0-1) unstable; urgency=medium

  * New upstream version 1.19.0
  * Add debian/watch
  * Reorder fields in debian/control and debian/copyright
  * Change Section from devel to golang
  * Bump debhelper build-dependency to debhelper-compat (= 13)"
  * Bump versioned dependencies as per go.mod
  * Bump Standards-Version to 4.6.2 (no change)
  * Drop -dev package’s unused dependency on ${shlibs:Depends}
  * Add "Rules-Requires-Root: no" to debian/control
  * Use dh-sequence-golang instead of dh-golang and --with=golang
  * Invoke dh with --builddirectory=_build
  * Add myself to the list of Uploaders
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance

 -- Anthony Fok <foka@debian.org>  Fri, 23 Feb 2024 15:00:40 -0700
