=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: golang-github-aws-smithy-go
+Section: golang
+Priority: optional
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
-Section: devel
+ Anthony Fok <foka@debian.org>,
+Rules-Requires-Root: no
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-golang,
+ golang-any (>= 2:1.19~),
+ golang-github-google-go-cmp-dev (>= 0.5.8),
 Testsuite: autopkgtest-pkg-go
-Priority: optional
-Build-Depends:
- debhelper (>= 10),
- dh-golang,
- golang-any,
- golang-github-google-go-cmp-dev,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go.git
 Homepage: https://github.com/aws/smithy-go
@@ -18,11 +20,10 @@
 
 Package: golang-github-aws-smithy-go-dev
 Architecture: all
+Multi-Arch: foreign
 Depends:
- golang-github-google-go-cmp-dev,
+ golang-github-google-go-cmp-dev (>= 0.5.8),
  ${misc:Depends},
- ${shlibs:Depends},
-Multi-Arch: foreign
 Description: Smithy code generators for Go (library)
  This package provides Smithy code generator for go.
  .
