## golang-github-aws-smithy-go 1.20.2

=== debian/changelog ===
golang-github-aws-smithy-go (1.20.2-2) unstable; urgency=medium

  * Cast numbers in "uint oob" test error messages to avoid overflows.
    Fixes "cannot use maxv + 1 (untyped int constant 2147483648)
    as int value in argument to fmt.Sprintf (overflows)" in TestAsInt32
    and "cannot use maxv + 1 (untyped int constant 18014398509481985)
    as int value in argument to fmt.Sprintf (overflows)" in TestAsFloat64
    on 32-bit architectures.
    See https://github.com/aws/smithy-go/pull/514

 -- Anthony Fok <foka@debian.org>  Sat, 01 Jun 2024 07:44:03 -0600

golang-github-aws-smithy-go (1.20.2-1) unstable; urgency=medium

  * New upstream version 1.20.2
  * Bump build-dependency golang-any (>= 2:1.20~) as per go.mod
  * Remove dependency on golang-github-google-go-cmp-dev as per go.mod
  * Bump Standards-Version to 4.7.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 26 Apr 2024 05:30:52 -0600
