## golang-github-aws-smithy-go 1.20.3

=== debian/changelog ===
golang-github-aws-smithy-go (1.20.3-1) unstable; urgency=medium

  * New upstream version 1.20.3
  * Remove prevent-overflows-in-uint-oob-test-error-messages-on-32-bit.patch
    which has been applied upstream

 -- Anthony Fok <foka@debian.org>  Sun, 01 Sep 2024 06:03:17 -0600
