=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any (>= 2:1.19~),
- golang-github-google-go-cmp-dev (>= 0.5.8),
+ golang-any (>= 2:1.20~),
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go.git
 Homepage: https://github.com/aws/smithy-go
@@ -22,7 +21,6 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
- golang-github-google-go-cmp-dev (>= 0.5.8),
  ${misc:Depends},
 Description: Smithy code generators for Go (library)
  This package provides Smithy code generator for go.
