=== debian/rules ===
#!/usr/bin/make -f

export DH_GOPKG := github.com/aws/smithy-go

%:
	dh $@ --builddirectory=_build --buildsystem=golang
