## golang-github-aws-smithy-go 1.23.2

=== debian/changelog ===
golang-github-aws-smithy-go (1.23.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.23.2
  * Add new dependency golang-opentelemetry-otel-dev

 -- Daniel Swarbrick <dswarbrick@debian.org>  Thu, 08 Jan 2026 21:56:18 +0000
