=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-any (>= 2:1.20~),
+ golang-opentelemetry-otel-dev,
 Testsuite: autopkgtest-pkg-go
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-aws-smithy-go
@@ -21,6 +22,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ golang-opentelemetry-otel-dev,
  ${misc:Depends},
 Description: Smithy code generators for Go (library)
  This package provides Smithy code generator for go.
